This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Grooveshark Widget

Description

This widget offers you a simple way to integrate Grooveshark Widget into your WordPress sidebar.

Screenshots

  • Grooveshark Widget Administration Panel
  • Grooveshark Widget Site Preview

Installation

  1. Download the grooveshark-widget.1.0.zip and extract it on your local machine.
  2. Upload /grooveshark-widget/ folder and its contents to the /wp-content/plugins/, be sure to upload the top-level folder not just its contents, otherwise it will not work as it should.
  3. Activate the plugin through the “Plugins” menu in WordPress Admin.
  4. Go to Appearance >> Widgets and from Available Widgets panel add the Grooveshark Widget to your sidebar.
  5. Open the Grooveshark Widget panel and fill in all the fields.
  6. Press on the Save button to refresh the widget preview, if you like the results go to your home page and enjoy it.

FAQ

How do I find my Grooveshark Widget ID?

To find your widgets IDs you must have a Grooveshark account or you can use your friend’s ID if you don’t have an account yet.

The most unsophisticated way to find your widget id is to go on the Grooveshark Widget page, login and make a new widget from Make a Widget link or if you already have one or more widgets go on My Widgets page and click on the Get Embed Code link. In the next page you can extract the ID from the URL which is in the browser address bar, as shown in the example below.

Example:
This is a link to one of my widgets: http://widgets.grooveshark.com/finished?widgetid=8645177, you can see that the widget ID is clearly defined at the end of the link after the widgetid=, you must copy and paste this code, which in this case is 8645177, in the Widget ID field on the Grooveshark Widget settings panel.

What do I need for the Grooveshark Widget?

The requirements to use the Grooveshark Widget are:

  • Standard WordPress requirements for version 2.8.
  • Adobe Flash Player version 9.0.0 or heigher.

Contributors & Developers

“Grooveshark Widget” is open source software. The following people have contributed to this plugin.

Changelog

Grooveshark Widget v1.0

  • [2009/07/08] Grooveshark Widget public release.